<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Hasil Test</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <a th:href="@{/jadwalTest/list}" class="btn btn-md  btn-info fa fa-calendar">&nbsp;Jadwal Test</a>
            <form th:action="@{/hasilTest/xlsxHms}" method="get">
                <input type="submit" class="btn btn-md btn-primary fa fa-dashboard" value="Data Hasil Test XLS">
            </form>
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Hasil Test</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <form method="get">
                                                <div class="col-md-3">
                                                    <div class="form-line">
                                                        <label>User Followup</label>
                                                        <select name="user" class="form-control">
                                                            <option value=""></option>
                                                            <option th:if="${user == null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}">2023/2024</option>
                                                            <option th:if="${user != null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}" th:selected="${ta.id == user}">2023/2024</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-3">
                                                    <div class="form-line">
                                                        <label>Nama </label>
                                                        <input type="text" name="nama"
                                                               class="form-control" th:value="${nama}"
                                                               placeholder="Cari Nama..." autofocus>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pull-left">
                                                    <div class="form-line">
                                                        <br>
                                                        <button class="btn btn-info" style="color: white;margin-top: 5px;" type="submit">Cari</button>
                                                    </div>
                                                </div>
                                            </form>
                                            <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                            <hr>
                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr>
                                                            <th>No Registrasi</th>
                                                            <th>Nama</th>
                                                            <th>Program Studi</th>
                                                            <th>Jenis Beasiswa</th>
                                                            <th>Nominal Tagihan</th>
                                                            <th>Jenis Test</th>
                                                            <th>Keterangan</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="p, row : ${daftarHasilTest}">
                                                            <td th:text="${p.jadwalTest.pendaftar.nomorRegistrasi}"></td>
                                                            <td th:text="${p.jadwalTest.pendaftar.leads.nama}"></td>
                                                            <td th:text="${p.jadwalTest.pendaftar.programStudi.nama +' - ' + p.jadwalTest.pendaftar.leads.jenjang}"></td>
                                                            <td th:text="${p.jadwalTest.pendaftar.keteranganTagihan}"></td>
                                                            <td th:text="${p.jadwalTest.pendaftar.uangPangkal}"></td>
                                                            <td th:if="${p.jadwalTest.jenisTest == p.jadwalTest.jenisTest.SMART_TEST}">
                                                                <a th:href="@{/hasilTest/form(id= ${p.jadwalTest.id}, jdwl='jdwl')}" class="btn btn-warning btn-xs fa fa-pencil">
                                                                    Smart Test
                                                                </a>
                                                            </td>
                                                            <td th:if="${p.jadwalTest.jenisTest == p.jadwalTest.jenisTest.JPA || p.jadwalTest.jenisTest == p.jadwalTest.jenisTest.TPA}">
                                                                <a th:href="@{/hasilTest/form(id= ${p.jadwalTest.id}, jdwl='jdwl')}" class="btn btn-warning btn-xs fa fa-pencil">
                                                                    Raport
                                                                </a>
                                                            </td>
                                                            <td th:text="${p.jadwalTest.pendaftar.status}"></td>
                                                            <td>
                                                                <a th:each="ht : ${tagihanDu}"  type="button"
                                                                   th:if="${ht.pendaftar == p.id && ht.status == 'Ada'}"
                                                                   class="btn btn-info btn-xs">
                                                                    <i class="fa fa-money"></i> Sudah Ada Tagihan DU
                                                                </a>
                                                                <a th:each="ht : ${tagihanDu}"  type="button"
                                                                   th:if="${ht.pendaftar == p.id && ht.status == 'Kosong'}"
                                                                   class="btn btn-danger btn-xs">
                                                                    <i class="fa fa-money"></i> Belum Ada Tagihan DU
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>
<script>
    function myFunction() {
        document.getElementById("myForm").reset();
    }
    function myFunction() {
        document.getElementById("myForm1").reset();
    }
</script>